<app-base-layout [enableMobileHeader]="true" title="Online Funds Transfer" [enableDeskTopHeader]="true"
[enableDeskTopHeaderAction]="true">
<div class="container">
  <form>
    <div class="form-group">
      <label class="heading" for="banksList">Select bank you want to transfer from</label>
      <select class="form-control input"  id="banksList" [(ngModel)]="selectedBank" (ngModelChange)="bankListChange()" name="bank" >
        <option *ngFor="let banks of bankList" [ngValue]="banks" >{{banks.bank}}</option>
      </select>
    </div>

  <div class="sub-heading">You must fund your account from a bank account you own. You may not transfer funds from third party</div>
  </form>
  

  <section *ngIf="onlineSteps.length > 0">
    <div class="guidelines">
    <button type="button" class="btn btn-outline-primary linktosendmoney" (click)="openInternetBankingLink()">{{selectedBank?.bank}} Bank link to send money</button>
      
      <div class="header">
        <img src="assets/icons/ic_check_circle.svg">You are all set to initiate fund transfer
      </div>
      <div class="heading"> 
        How to transfer money?
      </div>

      <ul>
        <ng-container *ngFor="let step of onlineSteps;let i=index">
          <li>{{step.Question}}</li>
          <ng-container *ngIf="step.option">
          <div class="card">
            <div class="card-body">
              <div class="card-title" *ngIf="step.optionsTitle">{{step.optionsTitle}}</div>
              <form>
                <div class="input-group" *ngFor="let qa of step.option">
                  <label class="w-100">{{qa.Q}}</label>
                  <input type="text" class="form-control input bg-transparent" disabled [value]="qa.A">
                  <div class="input-group-append">
                    <button class="btn btn btn-link" type="button" (cbOnSuccess)="copiedToClipboard($event)" ngxClipboard [cbContent]="qa.A"><img src="assets/icons/copy.svg"></button>
                  </div>
                </div>
              </form>
            </div>
          </div>
        </ng-container>
        </ng-container>
      </ul>
    </div>
  </section>

  <section *ngIf="reference_link.length > 0">
    <div class="guidelines">
      <div class="header"> 
        For Futher Details, please refer to below urls
      </div>

      <ul>
        <ng-container *ngFor="let step of reference_link;let i=index">
          <li>{{step.description}}</li>
          <ng-container *ngIf="step.type == 'link'">
            <button type="button" class="btn btn-outline-primary" (click)="openURL(step.url)">Click on link for article.</button>
        </ng-container>
        <ng-container *ngIf="step.type == 'video'">
          <div class="row">
            <div class="col-12 col-md-6">
              <div class="video">
                <!-- <img src="assets/images/LogoAnimation.gif" /> -->
                <iframe 
                  [src]="getSanitisedLink(step.url)" allowFullScreen="allowFullScreen" frameBorder="0" height="400">
                </iframe>  
              </div>
          </div>
        </div>
        </ng-container>
        </ng-container>
      </ul>
    </div>
  </section>

  <button type="button" class="btn btn-outline-primary linktosendmoney" (click)="emailAndDownloadLRSProcess()">Email and download {{selectedBank?.bank}} Bank Detail</button>
</div>
  </app-base-layout>